Skip to main content
PATCH
/
sources
/
{source_id}
/
annotations
/
{annotation_id}
Update Source Annotation
curl --request PATCH \
  --url https://apigcp.trynia.ai/v2/sources/{source_id}/annotations/{annotation_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
import requests

url = "https://apigcp.trynia.ai/v2/sources/{source_id}/annotations/{annotation_id}"

payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};

fetch('https://apigcp.trynia.ai/v2/sources/{source_id}/annotations/{annotation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "source_id": "<string>",
  "trust_signals": {
    "trust_level": "medium",
    "trust_tier": "medium",
    "scope": "private",
    "is_global": false,
    "is_verified": false,
    "overlay_available": false,
    "annotation_count": 0
  },
  "overlay": {
    "summary": "<string>",
    "kind": "custom",
    "guidance": "<string>",
    "recommended_queries": [
      "<string>"
    ],
    "updated_at": "<string>"
  },
  "annotations": [
    {
      "id": "<string>",
      "content": "<string>",
      "kind": "note",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

source_id
string
required
annotation_id
string
required

Query Parameters

type
enum<string> | null

Source type hint

Available options:
repository,
documentation,
research_paper,
huggingface_dataset,
local_folder,
slack,
google_drive,
connector

Body

application/json
kind
enum<string> | null

Updated annotation category

Available options:
note,
tip,
warning,
gotcha
content
string | null

Updated annotation body

Minimum string length: 1

Response

Successful Response

Full curation state for a source.

source_id
string
required

Source identifier

source_type
enum<string>
required

Source type

Available options:
repository,
documentation,
research_paper,
huggingface_dataset,
local_folder,
slack,
google_drive,
connector
trust_signals
SourceTrustSignals · object

Derived trust signals

overlay
SourceCuratedOverlay · object | null

Curated overlay if present

annotations
SourceAnnotation · object[]

Saved annotations for the source

created_at
string | null

Curation record creation timestamp (ISO)

updated_at
string | null

Curation record update timestamp (ISO)